MODUNLOAD(8)

NAME
modunload - unload a kernel module

SYNOPSIS
modunload [-i module_id] [-n module_name]

DESCRIPTION
The modunload utility unloads a loadable kernel module from a running system. The module_id or module_name is the ID or name of the module as shown by modstat(8).

One of the following options must be specified:

-i module_id
    Unload the module with the ID module_id.

-n module_name
    Unload the module with the name module_name.

DIAGNOSTICS
The modunload utility exits with a status of 0 on success and with a nonzero status if an error occurs.

SEE ALSO
lkm(4), modload(8), modstat(8)

HISTORY
The modunload command was designed to be similar in functionality to the corresponding command in SunOS 4.1.3.

AUTHOR
Terrence R. Lambert, terry@cs.weber.edu